summaryrefslogtreecommitdiffstats
path: root/terminus-font
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-08-04 21:03:21 +0000
committer Eric Hameleers <alien@slackware.com>2008-08-04 21:03:21 +0000
commit1fe86cda8769d058bc3473888c10ce289fdc03e0 (patch)
treebc4842ab4149b502979508fd2f661a657a90e64e /terminus-font
parent94a60e8b8e8f296bcb0f0ceb73bafb868561c9c9 (diff)
downloadasb-1fe86cda8769d058bc3473888c10ce289fdc03e0.tar.gz
asb-1fe86cda8769d058bc3473888c10ce289fdc03e0.tar.xz
Initial revision
Diffstat (limited to 'terminus-font')
-rwxr-xr-xterminus-font/build/terminus-font.SlackBuild175
1 files changed, 175 insertions, 0 deletions
diff --git a/terminus-font/build/terminus-font.SlackBuild b/terminus-font/build/terminus-font.SlackBuild
new file mode 100755
index 00000000..16e9ac82
--- /dev/null
+++ b/terminus-font/build/terminus-font.SlackBuild
@@ -0,0 +1,175 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2008 Eric Hameleers <alien@slackware.com>, Eindhoven, NL
+# Copyright (c) 2008 Dimitar Toshkov Zhekov <jimmy@is-vn.bg>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: terminus-font
+# Descr: a clean fixed width font
+# URL: http://www.is-vn.bg/hamster/jimmy-en.html
+# Needs:
+# Changelog:
+# 4.26-1: 04/Aug/2008 by Eric Hameleers <alien@slackware.com>
+# * Initial build. Thanks much to font author Dimitar Zhekov
+# who offers a SlackBuild on his site! It gave me a head start
+# so I added Dimitar's copyright to the script's header.
+#
+# Run 'sh terminus-font.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=terminus-font
+VERSION=${VERSION:-4.26}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+
+DOCS="README*"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="http://www.is-vn.bg/hamster/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11) || true
+if [ "$XPREF" == "" ]; then
+ XPREF='/usr/X11R6'
+ XFONTDIR="$XPREF/lib/X11/fonts/local"
+else
+ XFONTDIR="/usr/share/fonts/local"
+fi
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+if $(file ${SOURCE} | grep -q ": bzip2"); then
+ tar -xjvf ${SOURCE}
+elif $(file ${SOURCE} | grep -q ": gzip"); then
+ tar -xzvf ${SOURCE}
+fi
+cd ${PRGNAM}-${VERSION}
+# Download any and all of the character variants and place them alongside
+# the font tarball. The next line will add them to the font package:
+for i in $(ls $SRCDIR/*.diff.gz 2> /dev/null) ; do zcat $i | patch -p1 ; done
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+echo Building ...
+./configure --prefix=/usr \
+ --psfdir=/usr/share/kbd/consolefonts \
+ --x11dir=${XFONTDIR} \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+make DESTDIR=$PKG TESTDIR= install install-uni install-ref \
+ 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+cat <<-EOT > $PKG/install/doinst.sh
+ mkfontdir usr/share/fonts/local
+ touch usr/share/fonts/local
+ fc-cache usr/share/fonts/local
+ EOT
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi